Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 1996433002: 👻 Reland of Merge android's use_gold settings with the main use_gold GN arg logic (Closed)

Created:
4 years, 8 months ago by agrieve
Modified:
4 years, 8 months ago
CC:
chromium-reviews, cc-bugs_chromium.org
Base URL:
https://chromium.googlesource.com/chromium/src.git@master
Target Ref:
refs/pending/heads/master
Project:
chromium
Visibility:
Public.

Description

Reland of Merge android's use_gold settings with the main use_gold GN arg logic This also fixes Android setting -Wl,--icf=all in a different spot. Reason for reland: Removed --icf=safe for x86 BUG=606749, 576197, 611668 Committed: https://crrev.com/10371eae8d24d0ea7efa880571d51d62ce8f197c Cr-Commit-Position: refs/heads/master@{#394655}

Patch Set 1 #

Patch Set 2 : delete --icf=safe #

Unified diffs Side-by-side diffs Delta from patch set Stats (+67 lines, -75 lines) Patch
M build/config/android/BUILD.gn View 1 5 chunks +4 lines, -41 lines 0 comments Download
M build/config/compiler/BUILD.gn View 1 3 chunks +36 lines, -24 lines 0 comments Download
M build/config/compiler/compiler.gni View 1 2 chunks +10 lines, -0 lines 0 comments Download
M build/config/gcc/BUILD.gn View 1 4 chunks +17 lines, -10 lines 0 comments Download

Messages

Total messages: 16 (7 generated)
agrieve
Created Reland of 👻 Merge android's use_gold settings with the main use_gold GN arg logic
4 years, 8 months ago (2016-05-18 20:32:24 UTC) #1
Dirk Pranke
On 2016/05/18 20:32:24, agrieve wrote: > Created Reland of 👻 Merge android's use_gold settings with ...
4 years, 8 months ago (2016-05-18 21:59:52 UTC) #3
agrieve
On 2016/05/18 21:59:52, Dirk Pranke wrote: > On 2016/05/18 20:32:24, agrieve wrote: > > Created ...
4 years, 8 months ago (2016-05-19 00:46:16 UTC) #4
Menglin
On 2016/05/19 00:46:16, agrieve wrote: > On 2016/05/18 21:59:52, Dirk Pranke wrote: > > On ...
4 years, 8 months ago (2016-05-19 00:49:38 UTC) #5
agrieve
On 2016/05/19 00:49:38, Menglin wrote: > On 2016/05/19 00:46:16, agrieve wrote: > > On 2016/05/18 ...
4 years, 8 months ago (2016-05-19 01:27:15 UTC) #7
Dirk Pranke
lgtm.
4 years, 8 months ago (2016-05-19 01:29:52 UTC) #9
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-cq-status.appspot.com/patch-status/1996433002/110001 View timeline at https://chromium-cq-status.appspot.com/patch-timeline/1996433002/110001
4 years, 8 months ago (2016-05-19 01:32:18 UTC) #12
commit-bot: I haz the power
Committed patchset #2 (id:110001)
4 years, 8 months ago (2016-05-19 03:35:03 UTC) #14
commit-bot: I haz the power
4 years, 8 months ago (2016-05-19 03:36:23 UTC) #16
Message was sent while issue was closed.
Patchset 2 (id:??) landed as
https://crrev.com/10371eae8d24d0ea7efa880571d51d62ce8f197c
Cr-Commit-Position: refs/heads/master@{#394655}

Powered by Google App Engine
This is Rietveld 408576698